debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit status 128 - Use of uninitialized value $reply in scalar chomp at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66

Bug #442941 reported by rohart on 2009-10-05
This bug affects 642 people
Affects Status Importance Assigned to Milestone
debconf (Ubuntu)
High
Colin Watson
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
High
Colin Watson
tzdata (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Medium
Unassigned
ubiquity (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson
Maverick
Medium
Colin Watson
Natty
Medium
Colin Watson
Oneiric
High
Colin Watson

Bug Description

Stable update justification:

Impact: Due to incorrect permissions on /var/cache/debconf/config.dat, the first upgrade using update-manager may fail. Other package management frontends that use aptdaemon may also fail on the first attempt.
Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by adding the --config=Mode:0644 option to its debconf-copydb invocation.
Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
TEST CASE: See comment 17. Also check the permissions on /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this bug caused them to be 0600 (-rw-------).
Regression potential: This change only affects new installations, not upgrades. Any problems should be exposed quickly as part of milestone release / point release testing. Although no point releases of 10.10 or 11.04 are planned, I'd like to upload this change there anyway to help out people building customised images.

Original report follows:

Binary package hint: debconf

Failed to report to debconf during first upgrade after installation of 9.10 beta. Upgrade failed.

ProblemType: Package
Architecture: amd64
Date: Mon Oct 5 09:54:06 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess installed post-installation script returned error exit status 128
NonfreeKernelModules: nvidia
Package: debconf 1.5.27ubuntu2
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: debconf
Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
Uname: Linux 2.6.31-11-generic x86_64

rohart (rogerivanhart-gmx) wrote :
summary: - Attempting to install upgrades in Koala beta
+ debconf failed to upgrade: exit status 128 - Use of uninitialized value
+ $reply in scalar chomp at
+ /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
summary: - debconf failed to upgrade: exit status 128 - Use of uninitialized value
- $reply in scalar chomp at
+ debconf failed to upgrade from 1.5.27ubuntu2 to 1.5.27ubuntu1: exit
+ status 128 - Use of uninitialized value $reply in scalar chomp at
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
summary: - debconf failed to upgrade from 1.5.27ubuntu2 to 1.5.27ubuntu1: exit
+ debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
status 128 - Use of uninitialized value $reply in scalar chomp at
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
Jean-Baptiste Lallement (jibel) wrote :

confirmed from duplicates.

Changed in debconf (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

I'm adding a task for tzdata because it seems to be the most affected package by this error.

Changed in tzdata (Ubuntu):
status: New → Confirmed
Changed in tzdata (Ubuntu):
importance: Undecided → Medium
Changed in debconf (Ubuntu):
importance: Undecided → Medium
mQQm (leitzman) wrote :

Failed to report to debconf during first upgrade after installation of 0.04. Upgrade failed.

beej (beej) wrote :

i just installed 10.04 on PowerBook G4 and the wireless driver doesn't work out of the box (b43legacy-phy0 ERROR: Firmware file "b43legacy/ucode4.fw" not found or load failed.).

a quick google led me to believe that installing the b43-fwcutter package might get me up and running. trying to install b43-fwcutter from the Ubuntu Software Center gave:
---
Package operation failed
The installation or removal of a software package failed.
installArchives() failed: Preconfiguring packages ...

Use of uninitialized value $reply in scalar chomp at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66.

Use of uninitialized value $reply in concatenation (.) or string at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 67.

.
.
.
b43-fwcutter failed to preconfigure, with exit status 128

Use of uninitialized value $val in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 83.

Use of uninitialized value $val in concatenation (.) or string at /usr/share/perl5/Debconf/Format/822.pm line 84.

Preconfiguring packages ...

dpkg: status database area is locked by another process

---

is there a workaround for this bug?

if not, can this bug's importance be raised from "Medium"? a laptop without wireless is no fun :(

beej (beej) wrote :

just in case somebody else ends up in my same boat, running "sudo apt-get install b43-fwcutter" from the command line works and avoids this problem.

Vjcamarena (vjcamarena) wrote :

This happened to me too (on a clean instalation).

Amael (amael) wrote :

Got the same problem (bug 605583) with a fresh install of Ubuntu 10.04 while trying to install Eclipse IDE.
I then managed to update my system without a problem (with apt-get update && apt-get upgrade), and also installed Eclipse IDE without a problem on this updated system.

Seems like this is only happening on a fresh system, or on the first use of the update system.

ms-studio (code-ms-studio) wrote :

I just installed Ubuntu 11.04 on a blank Linux-Ubuntu virtual machine in Oracle VirtualBox (4.0.6), and when attempting to run Software Update, I get the following error messages:

Package operation failed
installArchives() failed: Setting up tzdata (2011g-0ubuntu0.11.04) ...

Use of uninitialized value $reply in scalar chomp at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66.

etc...

The workaround from comment #6 solves the issue.

ty

On Tue, May 10, 2011 at 3:51 PM, ms-studio <email address hidden> wrote:
> I just installed Ubuntu 11.04 on a blank Linux-Ubuntu virtual machine in
> Oracle VirtualBox (4.0.6), and when attempting to run Software Update, I
> get the following error messages:
>
> Package operation failed
> installArchives() failed: Setting up tzdata (2011g-0ubuntu0.11.04) ...
>
> Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66.
>
> etc...
>
> The workaround from comment #6 solves the issue.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (774286).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
>  debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>  status 128 - Use of uninitialized value $reply in scalar chomp at
>  /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in “debconf” package in Ubuntu:
>  Confirmed
> Status in “tzdata” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: debconf
>
>  Failed to report to debconf during first upgrade after installation of
>  9.10 beta. Upgrade failed.
>
>  ProblemType: Package
>  Architecture: amd64
>  Date: Mon Oct  5 09:54:06 2009
>  DistroRelease: Ubuntu 9.10
>  ErrorMessage: subprocess installed post-installation script returned error exit status 128
>  NonfreeKernelModules: nvidia
>  Package: debconf 1.5.27ubuntu2
>  PackageArchitecture: all
>  ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
>  SourcePackage: debconf
>  Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
>  Uname: Linux 2.6.31-11-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscribe
>

chuck (cajhdz) wrote :
Download full text (3.3 KiB)

Tks!

Sent from my iPhone

On 11/05/2011, at 03:51, Steve Medrick <email address hidden> wrote:

> ty
>
> On Tue, May 10, 2011 at 3:51 PM, ms-studio <email address hidden> wrote:
>> I just installed Ubuntu 11.04 on a blank Linux-Ubuntu virtual machine in
>> Oracle VirtualBox (4.0.6), and when attempting to run Software Update, I
>> get the following error messages:
>>
>> Package operation failed
>> installArchives() failed: Setting up tzdata (2011g-0ubuntu0.11.04) ...
>>
>> Use of uninitialized value $reply in scalar chomp at
>> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66.
>>
>> etc...
>>
>> The workaround from comment #6 solves the issue.
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (774286).
>> https://bugs.launchpad.net/bugs/442941
>>
>> Title:
>> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>> status 128 - Use of uninitialized value $reply in scalar chomp at
>> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>>
>> Status in “debconf” package in Ubuntu:
>> Confirmed
>> Status in “tzdata” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Binary package hint: debconf
>>
>> Failed to report to debconf during first upgrade after installation of
>> 9.10 beta. Upgrade failed.
>>
>> ProblemType: Package
>> Architecture: amd64
>> Date: Mon Oct 5 09:54:06 2009
>> DistroRelease: Ubuntu 9.10
>> ErrorMessage: subprocess installed post-installation script returned error exit status 128
>> NonfreeKernelModules: nvidia
>> Package: debconf 1.5.27ubuntu2
>> PackageArchitecture: all
>> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
>> SourcePackage: debconf
>> Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
>> Uname: Linux 2.6.31-11-generic x86_64
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscribe
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (774646).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> status 128 - Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in “debconf” package in Ubuntu:
> Confirmed
> Status in “tzdata” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: debconf
>
> Failed to report to debconf during first upgrade after installation of
> 9.10 beta. Upgrade failed.
>
> ProblemType: Package
> Architecture: amd64
> Date: Mon Oct 5 09:54:06 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error exit status 128
> NonfreeKernelModules: nvidia
> Package: debconf 1.5.27ubuntu2
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: debconf
> Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
> ...

Read more...

Mahesh.M (mahichithira) wrote :

I need an answer on how to overcome this bug.

triksteerx (triksterx) wrote :

My bug having to do with the tzdata package just got redirected here, so I thought I would throw in my two cents. The bug can be worked around on a fresh install by entering the following into a terminal:

sudo apt-get update && sudo apt-get upgrade

Copy pasta that and you are good to go.

On a side note, it seems silly that a year and a half later and we are still being redirected to the same bug. Why is this issue not being resolved? Seems like three releases should be plenty of time to work out a bug like this. Might be a bit easier to get Ubuntu a bit more mainstream if you didn't have a problem that forced you to learn to use a terminal just to get a piece of software. Also, it wastes time to not be able to install all the necessary packages BEFORE the initial update. Doing a 165 MB update just to be able to install a few pieces of software that will require another 60 MB worth of updates is the kind of crap you expect from Windows, not Linux.

Steve Langasek (vorlon) wrote :

239 duplicate reports of this issue (not counting those not yet hunted down and duped), and it causes package upgrade failures when it strikes; we should really try to get a handle on this.

Colin, do you have any idea what's going on here with the passthrough frontend?

Changed in debconf (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Medium → High
Andrew Allcock (cloggsy) wrote :

My report of this bug came from when I was using 11.04 Beta. This has not occurred to me in the full release but, if it helps, the full release is a dual-boot installation and upgraded from 10.10 whereas the beta release was an upgrade of a WUBI install.

Steve Medrick (steve-medrick) wrote :

Base cause for me was actively setting the root password to be
different from the initial
user password requested by the install wizard. apt was still trying to
use a copy of the
initial password, so variations of sudo su -, plus command line
aptitude calls saved the
day.

I still believe strongly in keeping that root password different and
secure, so I just got
used to the penalty of doing my updates in CLI (which I like anyway)

-steve

On Sat, Jun 18, 2011 at 3:30 AM, Andrew Allcock <email address hidden> wrote:
> My report of this bug came from when I was using 11.04 Beta. This has
> not occurred to me in the full release but, if it helps, the full
> release is a dual-boot installation and upgraded from 10.10 whereas the
> beta release was an upgrade of a WUBI install.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774286).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
>  debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>  status 128 - Use of uninitialized value $reply in scalar chomp at
>  /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in “debconf” package in Ubuntu:
>  Confirmed
> Status in “tzdata” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: debconf
>
>  Failed to report to debconf during first upgrade after installation of
>  9.10 beta. Upgrade failed.
>
>  ProblemType: Package
>  Architecture: amd64
>  Date: Mon Oct  5 09:54:06 2009
>  DistroRelease: Ubuntu 9.10
>  ErrorMessage: subprocess installed post-installation script returned error exit status 128
>  NonfreeKernelModules: nvidia
>  Package: debconf 1.5.27ubuntu2
>  PackageArchitecture: all
>  ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
>  SourcePackage: debconf
>  Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
>  Uname: Linux 2.6.31-11-generic x86_64
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscriptions
>

Colin Watson (cjwatson) wrote :

I've finally found a reliable method that I can use to reproduce this bug in isolation (so I might at long last be able to do something about it!):

 1) Install a Natty desktop system (and checkpoint the virtual machine at this point)
 2) Start update-manager
 3) Uncheck everything except libpam0g and tzdata
 4) Run the upgrade

I'm going over a system call trace with a fine-toothed comb now. I'm pretty sure it's not the fault of any of the packages being installed. It looks as though there may be something wrong with aptdaemon's debconf proxy (the other end of the socket doesn't seem to be connected to anything), but it could also be a bug in how update-manager is talking to aptdaemon.

Colin Watson (cjwatson) wrote :

Aha! What appears to be happening is that the installer erroneously sets up /var/cache/debconf/config.dat with mode 0600, so it's unreadable to the user-mode debconf frontend, which falls over and leaves the root debconf proxy without anything to talk to; it then crashes shortly afterwards and we're left with this horrendous mess to try to debug. This explains Amael's comment #8, and other comments indicating that this goes away after the first upgrade.

I can fix this in the installer, but of course that only applies for future releases. For current releases, we have pretty limited options here. The only way we can push out code to fix the permissions is to release a package to -updates that does it, but in this case the user-mode debconf frontend is started up (and fails) before we install any packages, so that's likely to be ineffective.

After some discussion on #ubuntu-devel, it seems that the least bad of the available options is to write a wiki page documenting the problem and a workaround (and probably also documenting the similar problem in bug 500175, since I don't think we can tell the two problems apart automatically - I've just gone through several dozen of the duplicate bug reports and I'm not even sure I can tell them apart manually), and cause people with this problem to be redirected to that bug report rather than filing a new bug. This should go some way towards explaining what's going on, and things should be fixed up on their next upgrade in any case. We'll then make sure that initial installations of Oneiric won't have this bug.

Changed in ubiquity (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → In Progress
Colin Watson (cjwatson) on 2011-07-07
Changed in debconf (Ubuntu Lucid):
status: New → Invalid
Changed in debconf (Ubuntu Maverick):
status: New → Invalid
Changed in debconf (Ubuntu Natty):
status: New → Invalid
Changed in tzdata (Ubuntu Lucid):
status: New → Invalid
Changed in tzdata (Ubuntu Maverick):
status: New → Invalid
Colin Watson (cjwatson) on 2011-07-07
Changed in tzdata (Ubuntu Natty):
status: New → Invalid
Changed in ubiquity (Ubuntu Lucid):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
milestone: none → ubuntu-10.04.3
status: New → Triaged
Colin Watson (cjwatson) on 2011-07-07
Changed in ubiquity (Ubuntu Maverick):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Triaged
Changed in ubiquity (Ubuntu Natty):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Triaged
Changed in ubiquity (Ubuntu Oneiric):
milestone: none → oneiric-alpha-3
Changed in debconf (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in tzdata (Ubuntu Oneiric):
status: Confirmed → Invalid
soni (soniquinn) wrote :

dude, i don't know how you got that far, but good work, really.

On 7/7/11, Colin Watson <email address hidden> wrote:
> I've finally found a reliable method that I can use to reproduce this
> bug in isolation (so I might at long last be able to do something about
> it!):
>
> 1) Install a Natty desktop system (and checkpoint the virtual machine at
> this point)
> 2) Start update-manager
> 3) Uncheck everything except libpam0g and tzdata
> 4) Run the upgrade
>
> I'm going over a system call trace with a fine-toothed comb now. I'm
> pretty sure it's not the fault of any of the packages being installed.
> It looks as though there may be something wrong with aptdaemon's debconf
> proxy (the other end of the socket doesn't seem to be connected to
> anything), but it could also be a bug in how update-manager is talking
> to aptdaemon.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (463805).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> status 128 - Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in “debconf” package in Ubuntu:
> Confirmed
> Status in “tzdata” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: debconf
>
> Failed to report to debconf during first upgrade after installation of
> 9.10 beta. Upgrade failed.
>
> ProblemType: Package
> Architecture: amd64
> Date: Mon Oct 5 09:54:06 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 128
> NonfreeKernelModules: nvidia
> Package: debconf 1.5.27ubuntu2
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: debconf
> Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess
> installed post-installation script returned error exit status 128
> Uname: Linux 2.6.31-11-generic x86_64
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscriptions
>

Jochem (mesjochem) wrote :

Hello Colin,

Thank you for the efforts! I will definitely try your steps.

Jhc
Verzonden van mijn ASUS Eee Pad

Colin Watson <email address hidden>schreef:

>I've finally found a reliable method that I can use to reproduce this
>bug in isolation (so I might at long last be able to do something about
>it!):
>
> 1) Install a Natty desktop system (and checkpoint the virtual machine at this point)
> 2) Start update-manager
> 3) Uncheck everything except libpam0g and tzdata
> 4) Run the upgrade
>
>I'm going over a system call trace with a fine-toothed comb now. I'm
>pretty sure it's not the fault of any of the packages being installed.
>It looks as though there may be something wrong with aptdaemon's debconf
>proxy (the other end of the socket doesn't seem to be connected to
>anything), but it could also be a bug in how update-manager is talking
>to aptdaemon.
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (801321).
>https://bugs.launchpad.net/bugs/442941
>
>Title:
> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> status 128 - Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
>Status in “debconf” package in Ubuntu:
> Confirmed
>Status in “tzdata” package in Ubuntu:
> Confirmed
>
>Bug description:
> Binary package hint: debconf
>
> Failed to report to debconf during first upgrade after installation of
> 9.10 beta. Upgrade failed.
>
> ProblemType: Package
> Architecture: amd64
> Date: Mon Oct 5 09:54:06 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error exit status 128
> NonfreeKernelModules: nvidia
> Package: debconf 1.5.27ubuntu2
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: debconf
> Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128
> Uname: Linux 2.6.31-11-generic x86_64
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscriptions

im newbie in linux. im a windowser.

i "solved" the problem by reinstalling the packet "tzdata".

after that i could do what i want. so far i remember now.

but because im a beginner and i like to install i installed ubuntu at
the usb again.

but im impressed about the reaction here. great.

bye

Am 07.07.2011 23:46, schrieb soni:
> dude, i don't know how you got that far, but good work, really.
>
> On 7/7/11, Colin Watson <email address hidden> wrote:
>> I've finally found a reliable method that I can use to reproduce this
>> bug in isolation (so I might at long last be able to do something about
>> it!):
>>
>> 1) Install a Natty desktop system (and checkpoint the virtual machine at
>> this point)
>> 2) Start update-manager
>> 3) Uncheck everything except libpam0g and tzdata
>> 4) Run the upgrade
>>
>> I'm going over a system call trace with a fine-toothed comb now. I'm
>> pretty sure it's not the fault of any of the packages being installed.
>> It looks as though there may be something wrong with aptdaemon's debconf
>> proxy (the other end of the socket doesn't seem to be connected to
>> anything), but it could also be a bug in how update-manager is talking
>> to aptdaemon.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (463805).
>> https://bugs.launchpad.net/bugs/442941
>>
>> Title:
>> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>> status 128 - Use of uninitialized value $reply in scalar chomp at
>> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>>
>> Status in “debconf” package in Ubuntu:
>> Confirmed
>> Status in “tzdata” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Binary package hint: debconf
>>
>> Failed to report to debconf during first upgrade after installation of
>> 9.10 beta. Upgrade failed.
>>
>> ProblemType: Package
>> Architecture: amd64
>> Date: Mon Oct 5 09:54:06 2009
>> DistroRelease: Ubuntu 9.10
>> ErrorMessage: subprocess installed post-installation script returned error
>> exit status 128
>> NonfreeKernelModules: nvidia
>> Package: debconf 1.5.27ubuntu2
>> PackageArchitecture: all
>> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
>> SourcePackage: debconf
>> Title: package debconf 1.5.27ubuntu2 failed to install/upgrade: subprocess
>> installed post-installation script returned error exit status 128
>> Uname: Linux 2.6.31-11-generic x86_64
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/442941/+subscriptions
>>
>

Colin Watson (cjwatson) on 2011-07-07
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.7.11

---------------
ubiquity (2.7.11) oneiric; urgency=low

  [ Luke Yelavich ]
  * Use at-spi2 dbus launcher to start the at-spi2 daemon
  * Determine accessibility state from gsettings using the gsettings command,
    to make sure privileges are dropped

  [ Colin Watson ]
  * Handle the case where one of the packages returned by 'pyversions -s' or
    'py3versions -s' is not installed (LP: #806349).
  * Add --config=Mode:0644 to debconf-copydb call, as otherwise we leave
    /var/cache/debconf/config.dat mode 0600 in the installed system,
    breaking the first run of some package management frontends
    (LP: #442941).
  * Provide build-arch and build-indep debian/rules targets.
  * Automatic update of included source packages: console-setup
    1.57ubuntu21, flash-kernel 2.28ubuntu26.
 -- Colin Watson <email address hidden> Thu, 07 Jul 2011 23:28:05 +0100

Changed in ubiquity (Ubuntu Oneiric):
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

@cc: indeed, the problem should solve itself after the first upgrade that does anything with debconf - so reinstalling tzdata is one reasonable workaround, although the problem isn't actually in tzdata itself.

Hello rohart, or anyone else affected,

Accepted ubiquity into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubiquity (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

SRU team ack for the maverick-proposed upload. It has the unrelated change of adding maverick-updates to the sources, but that seems harmless.

For the natty-proposed upload you've got an equivalent change to the sources, but also an update to the partman-auto version. Was that intentional? Given the low risk of regression I don't mind waving that through either, but I'd just like to check.

Martin Pitt (pitti) wrote :

Hello rohart, or anyone else affected,

Accepted ubiquity into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubiquity (Ubuntu Maverick):
status: Triaged → Fix Committed
Changed in ubiquity (Ubuntu Natty):
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Hello rohart, or anyone else affected,

Accepted ubiquity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

On Mon, Jul 11, 2011 at 01:54:08AM -0000, Chris Halse Rogers wrote:
> SRU team ack for the maverick-proposed upload. It has the unrelated
> change of adding maverick-updates to the sources, but that seems
> harmless.

Right, I added that as routine for post-release work so that future
changes to incorporated d-i components are pulled in.

> For the natty-proposed upload you've got an equivalent change to the
> sources, but also an update to the partman-auto version. Was that
> intentional? Given the low risk of regression I don't mind waving that
> through either, but I'd just like to check.

It was - I try to keep all the incorporated d-i components up to date.
It shouldn't make much difference for ubiquity since it mainly affects
LVM.

Incidentally, this is going to be a bit non-trivial to test for maverick
and natty. I'll probably roll new "daily" CD builds at some point so
that somebody can do QA using those.

SRU verification for Lucid:
I have verified that the version of ubiquity 2.2.26 in -proposed fixes the issue. I have verified that the permissions are set correctly, that a software can be installed with software-center.

Marking as verification-done

tags: added: verification-done-lucid
removed: verification-needed
Martin Pitt (pitti) wrote :

Adding back v-needed for maverick/natty

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.26

---------------
ubiquity (2.2.26) lucid-proposed; urgency=low

  * Stop ubiquity and oem-config when stopping display managers. This
    should guarantee that X has exited by the time we try to start plymouth
    on shutdown (LP: #628630).
  * Add --config=Mode:0644 to debconf-copydb call, as otherwise we leave
    /var/cache/debconf/config.dat mode 0600 in the installed system,
    breaking the first run of some package management frontends
    (LP: #442941).
  * Automatic update of included source packages: grub-installer
    1.49ubuntu11.1, netcfg 1.51ubuntu3, partman-base 139ubuntu7.
 -- Colin Watson <email address hidden> Thu, 07 Jul 2011 23:32:03 +0100

Changed in ubiquity (Ubuntu Lucid):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

I've written a bug pattern, which can be modified to point people to a wiki page instead of this bug, to prevent further duplicates of this bug report from coming in unnecessarily.

Denis Igoe (digoe) wrote :

N/A

El 26/10/11 04:10, Launchpad Bug Tracker escribió:
> ** Branch linked: lp:ubuntu/ubiquity
>
> ** Branch linked: lp:ubuntu/natty-proposed/ubiquity
>
> ** Branch linked: lp:ubuntu/maverick-proposed/ubiquity
>
> ** Branch linked: lp:ubuntu/lucid-proposed/ubiquity
>
Bug identificado, Sony Vaio vgn-ax580G ATI radeon Galium 0.4 RV410,
Intel Pentium M 2.0Ghz 2GB DRAM
Kernel 3.1 al instalar Virtual Box 4.1.2 no arranca en modo grafico, en
Gnome Shell, solo muestra pantalla negra con datos de virtualbox y de
Kernel.

tags: added: bugpattern-written
Rolf Leggewie (r0lf) wrote :

maverick has seen the end of its life and is no longer receiving any updates. Marking the maverick task for this ticket as "Won't Fix".

Changed in ubiquity (Ubuntu Maverick):
status: Fix Committed → Won't Fix
Rolf Leggewie (r0lf) wrote :

natty has seen the end of its life and is no longer receiving any updates. Marking the natty task for this ticket as "Won't Fix".

Changed in ubiquity (Ubuntu Natty):
status: Fix Committed → Won't Fix
Steve Medrick (steve-medrick) wrote :
Download full text (3.4 KiB)

s'cool i worked around it many moon ago.

On Wed, Dec 3, 2014 at 3:55 AM, Rolf Leggewie <email address hidden>
wrote:

> natty has seen the end of its life and is no longer receiving any
> updates. Marking the natty task for this ticket as "Won't Fix".
>
> ** Changed in: ubiquity (Ubuntu Natty)
> Status: Fix Committed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774286).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> status 128 - Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in debconf package in Ubuntu:
> Invalid
> Status in tzdata package in Ubuntu:
> Invalid
> Status in ubiquity package in Ubuntu:
> Fix Released
> Status in debconf source package in Lucid:
> Invalid
> Status in tzdata source package in Lucid:
> Invalid
> Status in ubiquity source package in Lucid:
> Fix Released
> Status in debconf source package in Maverick:
> Invalid
> Status in tzdata source package in Maverick:
> Invalid
> Status in ubiquity source package in Maverick:
> Won't Fix
> Status in debconf source package in Natty:
> Invalid
> Status in tzdata source package in Natty:
> Invalid
> Status in ubiquity source package in Natty:
> Won't Fix
> Status in debconf source package in Oneiric:
> Invalid
> Status in tzdata source package in Oneiric:
> Invalid
> Status in ubiquity source package in Oneiric:
> Fix Released
>
> Bug description:
> Stable update justification:
>
> Impact: Due to incorrect permissions on /var/cache/debconf/config.dat,
> the first upgrade using update-manager may fail. Other package management
> frontends that use aptdaemon may also fail on the first attempt.
> Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by
> adding the --config=Mode:0644 option to its debconf-copydb invocation.
> Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
> TEST CASE: See comment 17. Also check the permissions on
> /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this
> bug caused them to be 0600 (-rw-------).
> Regression potential: This change only affects new installations, not
> upgrades. Any problems should be exposed quickly as part of milestone
> release / point release testing. Although no point releases of 10.10 or
> 11.04 are planned, I'd like to upload this change there anyway to help out
> people building customised images.
>
> Original report follows:
>
> Binary package hint: debconf
>
> Failed to report to debconf during first upgrade after installation of
> 9.10 beta. Upgrade failed.
>
> ProblemType: Package
> Architecture: amd64
> Date: Mon Oct 5 09:54:06 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 128
> NonfreeKernelModules: nvidia
> Package: debconf 1.5.27ubuntu2
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: debconf
> Title: package debconf 1.5.27ubuntu2 f...

Read more...

DavidWells59 (david-wells-59) wrote :
Download full text (6.8 KiB)

I guess I should thank you for trying to help me with my software, but I don't have a clue about anything you sent to me, or why you even sent it, other than the fact that I've signed up to be a contributor of problems to the Linux people network.  Thank you anyway. :-)  In this day and age where there are so many people who are out there trying to raise hell, it's very difficult to trust anyone.  Your actions, if nothing else, help build, or re-build that trust in humanity.

     On Wednesday, December 3, 2014 4:35 AM, Steve Medrick <email address hidden> wrote:

 s'cool  i worked around it many moon ago.

On Wed, Dec 3, 2014 at 3:55 AM, Rolf Leggewie <email address hidden>
wrote:

> natty has seen the end of its life and is no longer receiving any
> updates. Marking the natty task for this ticket as "Won't Fix".
>
> ** Changed in: ubiquity (Ubuntu Natty)
>        Status: Fix Committed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774286).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
>  debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>  status 128 - Use of uninitialized value $reply in scalar chomp at
>  /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in debconf package in Ubuntu:
>  Invalid
> Status in tzdata package in Ubuntu:
>  Invalid
> Status in ubiquity package in Ubuntu:
>  Fix Released
> Status in debconf source package in Lucid:
>  Invalid
> Status in tzdata source package in Lucid:
>  Invalid
> Status in ubiquity source package in Lucid:
>  Fix Released
> Status in debconf source package in Maverick:
>  Invalid
> Status in tzdata source package in Maverick:
>  Invalid
> Status in ubiquity source package in Maverick:
>  Won't Fix
> Status in debconf source package in Natty:
>  Invalid
> Status in tzdata source package in Natty:
>  Invalid
> Status in ubiquity source package in Natty:
>  Won't Fix
> Status in debconf source package in Oneiric:
>  Invalid
> Status in tzdata source package in Oneiric:
>  Invalid
> Status in ubiquity source package in Oneiric:
>  Fix Released
>
> Bug description:
>  Stable update justification:
>
>  Impact: Due to incorrect permissions on /var/cache/debconf/config.dat,
> the first upgrade using update-manager may fail.  Other package management
> frontends that use aptdaemon may also fail on the first attempt.
>  Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by
> adding the --config=Mode:0644 option to its debconf-copydb invocation.
>  Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
>  TEST CASE: See comment 17.  Also check the permissions on
> /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this
> bug caused them to be 0600 (-rw-------).
>  Regression potential: This change only affects new installations, not
> upgrades.  Any problems should be exposed quickly as part of milestone
> release / point release testing.  Although no point releases of 10.10 or
> 11.04 are planned, I'd like to upload this change there anyway to help out
> people building customised images.
>
>  Original report follows:
>
>  Binary packa...

Read more...

soni (soniquinn) wrote :
Download full text (10.4 KiB)

 "Won't Fix", with a simple set of words. the dreams of freedom, and
hope of truth, faded forevermore.

goodnight. and peace

On 12/3/14, DavidWells59 <email address hidden> wrote:
> I guess I should thank you for trying to help me with my software, but I
> don't have a clue about anything you sent to me, or why you even sent it,
> other than the fact that I've signed up to be a contributor of problems to
> the Linux people network. Thank you anyway. :-) In this day and age where
> there are so many people who are out there trying to raise hell, it's very
> difficult to trust anyone. Your actions, if nothing else, help build, or
> re-build that trust in humanity.
>
>
> On Wednesday, December 3, 2014 4:35 AM, Steve Medrick
> <email address hidden> wrote:
>
>
> s'cool i worked around it many moon ago.
>
> On Wed, Dec 3, 2014 at 3:55 AM, Rolf Leggewie <email address hidden>
> wrote:
>
>> natty has seen the end of its life and is no longer receiving any
>> updates. Marking the natty task for this ticket as "Won't Fix".
>>
>> ** Changed in: ubiquity (Ubuntu Natty)
>> Status: Fix Committed => Won't Fix
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (774286).
>> https://bugs.launchpad.net/bugs/442941
>>
>> Title:
>> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>> status 128 - Use of uninitialized value $reply in scalar chomp at
>> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>>
>> Status in debconf package in Ubuntu:
>> Invalid
>> Status in tzdata package in Ubuntu:
>> Invalid
>> Status in ubiquity package in Ubuntu:
>> Fix Released
>> Status in debconf source package in Lucid:
>> Invalid
>> Status in tzdata source package in Lucid:
>> Invalid
>> Status in ubiquity source package in Lucid:
>> Fix Released
>> Status in debconf source package in Maverick:
>> Invalid
>> Status in tzdata source package in Maverick:
>> Invalid
>> Status in ubiquity source package in Maverick:
>> Won't Fix
>> Status in debconf source package in Natty:
>> Invalid
>> Status in tzdata source package in Natty:
>> Invalid
>> Status in ubiquity source package in Natty:
>> Won't Fix
>> Status in debconf source package in Oneiric:
>> Invalid
>> Status in tzdata source package in Oneiric:
>> Invalid
>> Status in ubiquity source package in Oneiric:
>> Fix Released
>>
>> Bug description:
>> Stable update justification:
>>
>> Impact: Due to incorrect permissions on /var/cache/debconf/config.dat,
>> the first upgrade using update-manager may fail. Other package
>> management
>> frontends that use aptdaemon may also fail on the first attempt.
>> Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by
>> adding the --config=Mode:0644 option to its debconf-copydb invocation.
>> Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
>> TEST CASE: See comment 17. Also check the permissions on
>> /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this
>> bug caused them to be 0600 (-rw-------).
>> Regression potential: This change only affects new installations, not
>> upgrades. Any problems should ...

Download full text (3.5 KiB)

hello rolf,
 I do not understand why I got this mail as the reported bug dates back to 2009, or was there a recent report?
kind regards and thanks for your time,
giorgio fiasko

> Am 03.12.2014 um 09:23 schrieb Rolf Leggewie <email address hidden>:
>
> maverick has seen the end of its life and is no longer receiving any
> updates. Marking the maverick task for this ticket as "Won't Fix".
>
> ** Changed in: ubiquity (Ubuntu Maverick)
> Status: Fix Committed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (822570).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
> debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> status 128 - Use of uninitialized value $reply in scalar chomp at
> /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in debconf package in Ubuntu:
> Invalid
> Status in tzdata package in Ubuntu:
> Invalid
> Status in ubiquity package in Ubuntu:
> Fix Released
> Status in debconf source package in Lucid:
> Invalid
> Status in tzdata source package in Lucid:
> Invalid
> Status in ubiquity source package in Lucid:
> Fix Released
> Status in debconf source package in Maverick:
> Invalid
> Status in tzdata source package in Maverick:
> Invalid
> Status in ubiquity source package in Maverick:
> Won't Fix
> Status in debconf source package in Natty:
> Invalid
> Status in tzdata source package in Natty:
> Invalid
> Status in ubiquity source package in Natty:
> Fix Committed
> Status in debconf source package in Oneiric:
> Invalid
> Status in tzdata source package in Oneiric:
> Invalid
> Status in ubiquity source package in Oneiric:
> Fix Released
>
> Bug description:
> Stable update justification:
>
> Impact: Due to incorrect permissions on /var/cache/debconf/config.dat, the first upgrade using update-manager may fail. Other package management frontends that use aptdaemon may also fail on the first attempt.
> Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by adding the --config=Mode:0644 option to its debconf-copydb invocation.
> Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
> TEST CASE: See comment 17. Also check the permissions on /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this bug caused them to be 0600 (-rw-------).
> Regression potential: This change only affects new installations, not upgrades. Any problems should be exposed quickly as part of milestone release / point release testing. Although no point releases of 10.10 or 11.04 are planned, I'd like to upload this change there anyway to help out people building customised images.
>
> Original report follows:
>
> Binary package hint: debconf
>
> Failed to report to debconf during first upgrade after installation of
> 9.10 beta. Upgrade failed.
>
> ProblemType: Package
> Architecture: amd64
> Date: Mon Oct 5 09:54:06 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error exit status 128
> NonfreeKernelModules: nvidia
> Package: debconf 1.5.27ubuntu2
> PackageArchitecture: all
> ProcVersionSignatur...

Read more...

Download full text (7.1 KiB)

This is not my work below it's Colin Watson's and others.  LOL!  I don't know a thing about this stuff, but I sure thank guys like you and others that do.  I just try to contribute by reporting some of my bugs.  I don't even know where this message came from or originated.  :-)  People doing "good works" are a blessing to us all.  People who do harm and malware, and the like, are a curse to humanity and are a shame to themselves in the end result.  I'm an old guy, and I've found that it's very true, when they say: "What goes around, comes around!"  I can't emphasize that enough.  If you don't believe that, look at Bill Cosby's life now.

      On Thursday, December 4, 2014 5:35 AM, giorgio fiasko <email address hidden> wrote:
   hello rolf,
 I do not understand why I got this mail as the reported bug dates back to 2009, or was there a recent report?
kind regards and thanks for your time,
giorgio fiasko

> Am 03.12.2014 um 09:23 schrieb Rolf Leggewie <email address hidden>:
>
> maverick has seen the end of its life and is no longer receiving any
> updates. Marking the maverick task for this ticket as "Won't Fix".
>
> ** Changed in: ubiquity (Ubuntu Maverick)
>      Status: Fix Committed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (822570).
> https://bugs.launchpad.net/bugs/442941
>
> Title:
>  debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
>  status 128 - Use of uninitialized value $reply in scalar chomp at
>  /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
>
> Status in debconf package in Ubuntu:
>  Invalid
> Status in tzdata package in Ubuntu:
>  Invalid
> Status in ubiquity package in Ubuntu:
>  Fix Released
> Status in debconf source package in Lucid:
>  Invalid
> Status in tzdata source package in Lucid:
>  Invalid
> Status in ubiquity source package in Lucid:
>  Fix Released
> Status in debconf source package in Maverick:
>  Invalid
> Status in tzdata source package in Maverick:
>  Invalid
> Status in ubiquity source package in Maverick:
>  Won't Fix
> Status in debconf source package in Natty:
>  Invalid
> Status in tzdata source package in Natty:
>  Invalid
> Status in ubiquity source package in Natty:
>  Fix Committed
> Status in debconf source package in Oneiric:
>  Invalid
> Status in tzdata source package in Oneiric:
>  Invalid
> Status in ubiquity source package in Oneiric:
>  Fix Released
>
> Bug description:
>  Stable update justification:
>
>  Impact: Due to incorrect permissions on /var/cache/debconf/config.dat, the first upgrade using update-manager may fail.  Other package management frontends that use aptdaemon may also fail on the first attempt.
>  Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by adding the --config=Mode:0644 option to its debconf-copydb invocation.
>  Patch: https://bazaar.launchpad.net/+branch/ubiquity/revision/4769
>  TEST CASE: See comment 17.  Also check the permissions on /var/cache/debconf/config.dat; they should be 0644 (-rw-r--r--), but this bug caused them to be 0600 (-rw-------).
>  Regression potential: This change only affects new installations, not upgrade...

Read more...

dcbrs1216 (dcbrs1216) wrote :
Download full text (10.7 KiB)

no kidding giorgio fiasko why are we just now getting this email back when
we were posting on topics we never got them..

On Thu, Dec 4, 2014 at 1:05 PM, DavidWells59 <email address hidden>
wrote:

> This is not my work below it's Colin Watson's and others. LOL! I don't
> know a thing about this stuff, but I sure thank guys like you and others
> that do. I just try to contribute by reporting some of my bugs. I
> don't even know where this message came from or originated. :-) People
> doing "good works" are a blessing to us all. People who do harm and
> malware, and the like, are a curse to humanity and are a shame to
> themselves in the end result. I'm an old guy, and I've found that it's
> very true, when they say: "What goes around, comes around!" I can't
> emphasize that enough. If you don't believe that, look at Bill Cosby's
> life now.
>
> On Thursday, December 4, 2014 5:35 AM, giorgio fiasko <
> <email address hidden>> wrote:
> hello rolf,
> I do not understand why I got this mail as the reported bug dates back to
> 2009, or was there a recent report?
> kind regards and thanks for your time,
> giorgio fiasko
>
>
> > Am 03.12.2014 um 09:23 schrieb Rolf Leggewie <<email address hidden>
> >:
> >
> > maverick has seen the end of its life and is no longer receiving any
> > updates. Marking the maverick task for this ticket as "Won't Fix".
> >
> > ** Changed in: ubiquity (Ubuntu Maverick)
> > Status: Fix Committed => Won't Fix
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (822570).
> > https://bugs.launchpad.net/bugs/442941
> >
> > Title:
> > debconf failed to upgrade from 1.5.27ubuntu1 to 1.5.27ubuntu2: exit
> > status 128 - Use of uninitialized value $reply in scalar chomp at
> > /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 66
> >
> > Status in debconf package in Ubuntu:
> > Invalid
> > Status in tzdata package in Ubuntu:
> > Invalid
> > Status in ubiquity package in Ubuntu:
> > Fix Released
> > Status in debconf source package in Lucid:
> > Invalid
> > Status in tzdata source package in Lucid:
> > Invalid
> > Status in ubiquity source package in Lucid:
> > Fix Released
> > Status in debconf source package in Maverick:
> > Invalid
> > Status in tzdata source package in Maverick:
> > Invalid
> > Status in ubiquity source package in Maverick:
> > Won't Fix
> > Status in debconf source package in Natty:
> > Invalid
> > Status in tzdata source package in Natty:
> > Invalid
> > Status in ubiquity source package in Natty:
> > Fix Committed
> > Status in debconf source package in Oneiric:
> > Invalid
> > Status in tzdata source package in Oneiric:
> > Invalid
> > Status in ubiquity source package in Oneiric:
> > Fix Released
> >
> > Bug description:
> > Stable update justification:
> >
> > Impact: Due to incorrect permissions on /var/cache/debconf/config.dat,
> the first upgrade using update-manager may fail. Other package management
> frontends that use aptdaemon may also fail on the first attempt.
> > Development branch: I've fixed this in ubiquity 2.7.11 in oneiric by
> adding the --config=Mode:0644 option to its debco...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions